Subject: Re: bug#47652: 28.0.50; completion-at-point fails in verilog-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 12 Apr 2021 11:46:40 +0200

Simon McFarlane <[email-masked]> writes:

> After a very pleasant evening with Edebug (seriously, debugging Emacs
> is such a smooth experience) I found what I believe to be the culprit
> and have attached a patch that fixes the issue for me. This is my
> first time contributing to Emacs so I apologize if I've violated the
> mailing list convention or etiquette.

It's a perfect bug report.  :-)

> Happy to make adjustments if my patch isn't quite right.

[...]

> -	       (verilog-func-completion 'module)
> +	       (save-excursion (verilog-func-completion 'module))

I used your general idea here, but I moved the save-excursion into the
function instead of wrapping the call sites in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no